module Types.Map where

import qualified Data.Matrix as Mat

import Linear

data Map = Map
  { mapLayers :: [(Word, Layer)] -- | (Index, Tile leyer)
  , mapStart :: (Word, V2 Word) -- | (Layer index, Position)
  }

type Layer = Mat.Matrix Tile

type Tile = V2 Float

type LayerDescriptor = FilePath
